<?php
/*-------------------------------------------------------+
| PHP-Fusion Content Management System
| Copyright (C) 2002 - 2011 Nick Jones
| http://www.php-fusion.co.uk/
+--------------------------------------------------------+
| Theme: Deeplasm
| Filename: theme.php
| Author: FDTD Designer
+--------------------------------------------------------+
| This program is released as free software under the
| Affero GPL license. You can redistribute it and/or
| modify it under the terms of this license which you
| can read by viewing the included agpl.txt or online
| at www.gnu.org/licenses/agpl.html. Removal of this
| copyright header is strictly prohibited without
| written permission from the original author(s).
+--------------------------------------------------------*/
if (!defined("IN_FUSION")) { die("Access Denied"); }

define("THEME_BULLET", "<img src='".THEME."images/circle.png' class='bullet' alt='&raquo;' />");

require_once THEME."functions.php";
require_once INCLUDES."theme_functions_include.php";

function render_page($license = false) {
	global $settings, $main_style, $locale, $mysql_queries_time;
	
	// Add handlers
	add_handler("theme_output");
	
	// Initialize scripts
	add_to_head("<script type='text/javascript' src='".THEME."scripts/cufon/cufon.js'></script>");
	add_to_head("<script type='text/javascript' src='".THEME."scripts/cufon/letterica.js'></script>");
	add_to_head("<script type='text/javascript' src='".THEME."scripts/cufon/century.js'></script>");
	add_to_head("<script type='text/javascript'>
		Cufon.replace('.letterica', { fontFamily: 'Letterica' });
		Cufon.replace('.century', { fontFamily: 'Century' });
	</script>");
	add_to_head("<script type='text/javascript' src='http://x.translateth.is/translate-this.js'></script>");
	add_to_head("<script type='text/javascript'>TranslateThis();</script>");
	add_to_head("<link rel='stylesheet' type='text/css' href='http://smart-fusion.ru/api/very/exterior.css' media='all' />");
	add_to_head("<script type='text/javascript' src='http://smart-fusion.ru/api/very/jquery.very.api.js'></script>");
	add_to_footer("<script type='text/javascript'>
		Very.Run('very_button', 'DD91A7945B', {type: 'very', prune: true});
	</script>");

	// Header
	echo "<table cellpadding='0' cellspacing='0' width='100%' class='center'>\n<tr>\n";
	echo "<td class='navigation'>\n".showsublinks("", "white")."</td>\n";
	echo "</tr>\n</table>\n";
	echo "<table cellpadding='0' cellspacing='0' width='900' class='center'>\n<tr>\n";
	echo "<td align='left' class='sub-header'><a href='".BASEDIR."'><img src='".BASEDIR.$settings['sitebanner']."' class='no-border' alt='' /></a></td>\n";
	echo "<td align='right' class='sub-header'>\n";
	if (!empty($settings['description'])) {
		echo "<div class='desk'>\n<div class='sub-title century'>\n";
		echo nl2br(stripslashes($settings['description']));
		echo "</div>\n</div>\n";
	}
	echo "</td>\n";
	echo "</tr>\n</table>\n";
	
	// Very Button 
	if (!preg_match("#administration/#si", START_PAGE) && !isset($_GET['aid'])) {
		echo "<table cellpadding='0' cellspacing='0' class='undervery-box'>\n<tr>\n";
		echo "<td class='undervery-left' valign='top'></td>\n";
		echo "<td class='undervery-mid' valign='top'><div id='very_button'><img src='".THEME."images/very_layout.png' style='border:none;' alt='' /></div></td>\n";
		echo "<td class='undervery-right' valign='top'></td>\n";
		echo "</tr>\n</table>\n";
	} else {
		echo "<div class='undervery-spacer'></div>\n";
	}

	// Content
	$panel_side = (defined("iAUTH") && isset($_GET['aid']) && $_GET['aid'] == iAUTH ? true : false);
	echo "<table cellpadding='0' cellspacing='0' width='100%' class='content-area ".($panel_side ? "panels-side-left" : "panels-side-right")." $main_style'>\n<tr>\n";
	if ($panel_side && (LEFT || RIGHT)) { echo "<td class='side-border-left' valign='top'>".LEFT.RIGHT."</td>"; }
	echo "<td class='main-bg' valign='top'>".U_CENTER.CONTENT.L_CENTER."</td>";
	if (!$panel_side && (LEFT || RIGHT)) { echo "<td class='side-border-right' valign='top'>".LEFT.RIGHT."</td>"; }
	echo "</tr>\n</table>\n";
	
	// Language Bar
	echo "<div class='lang-box'>\n<table cellpadding='0' cellspacing='0' class='lang-tbl'>\n<tr>\n";
	echo "<td class='lang-left'></td>\n";
	echo "<td class='lang-mid'><div id='translate-this'><a style='width:180px;height:18px;display:block;' class='translate-this-button' href='http://www.translatecompany.com/'>Translate Company</a></div></td>\n";
	echo "<td class='lang-right'></td>\n";
	echo "</tr>\n</table>\n</div>\n";
	
	//Footer
	echo "<table cellpadding='0' cellspacing='0' width='900' class='main-footer'>\n<tr>\n";
	echo "<td align='left' class='footer-left letterica'>".(!$license ? showcopyright() : "Powered by PHP-Fusion")."</td>\n";
	echo "<td align='right' class='footer-right letterica'>".showcounter()."</td>\n";
	echo "</tr>\n</table>\n";
	
	echo "<table cellpadding='0' cellspacing='0' width='900' class='footer-info'>\n<tr>\n";
	echo "<td align='left' class='footer-copyright century'>".stripslashes($settings['footer'])."</td>\n";
	echo "<td align='right' class='footer-designer century'>Deeplasm &copy; FDTD Designer</td>\n";
	echo "</tr>\n</table>\n";
}

function render_comments($c_data, $c_info){
	global $locale, $settings;
	
	opentable($locale['c100']);
	if (!empty($c_data)){
		$c_makepagenav = "";
		if ($c_info['c_makepagenav'] !== false) { echo $c_makepagenav = "<div style='text-align:center;margin-bottom:5px;'>".$c_info['c_makepagenav']."</div>\n";  }
		foreach($c_data as $data) {
			$profile_link = preg_replace("#<a href='(.*?)'.*?>.*?</a>#si", "\\1", $data['comment_name']);
			$profile_user_id = str_replace("profile.php?lookup=", "", $profile_link);
			echo "<div class='comment-box wrapper'>\n";
			if ($settings['comments_avatar'] == "1") { echo "<div class='float-left comment-avatar-box'><a href='".$profile_link."' class='comment-click'><div class='comment-avatar'><div class='poster'>".$data['user_avatar']."</div></div></a></div>\n"; }
			echo "<div class='float-left comment-arrow'></div>\n";
			echo "<div class='floatfix'>\n<div class='comment-message'>\n<div class='comment-info'>\n";
			echo "<div class='float-right'><a href='".FUSION_REQUEST."#c".$data['comment_id']."' id='c".$data['comment_id']."' name='c".$data['comment_id']."'>#".$data['i']."</a></div>\n";
			$active = dbcount("(user_id)", DB_USERS, "user_id='".$profile_user_id."' AND user_lastvisit>='".(time() - 180)."'");
			if ($active) { $profile_image = "circle-orange.png"; $profile_label = "Online";
			} else { $profile_image = "circle.png"; $profile_label = "Offline"; }
			echo "<img src='".THEME."images/".$profile_image."' class='no-border valignfix status' alt='".$profile_label."' title='".$profile_label."' />".$data['comment_name']." ".$data['comment_datestamp']."</div>\n";
			if ($data['edit_dell'] !== false) {
				$manage_links = str_replace(" |", "", $data['edit_dell']);
				$manage_links = preg_replace("#<a href='(.*?)'>(.*?)</a>#si", "<span rel='comment-option edit' name='\\2'>\\1</span>", $manage_links, 1);
				$manage_links = preg_replace("#<a href='(.*?)'>(.*?)</a>#si", "<span rel='comment-option delete' name='\\2'>\\1</span>", $manage_links, 1);
				$manage_links = preg_replace("#<span rel='(.*?)' name='(.*?)'>(.*?)</span>#si", "<a href='\\3' class='\\1' title='\\2'><img src='".THEME."images/comment-edit.png' class='no-border valignfix' alt='' /></a>", $manage_links, 1);
				$manage_links = preg_replace("#<span rel='(.*?)' name='(.*?)'>(.*?)</span>#si", "<a href='\\3' class='\\1' title='\\2'><img src='".THEME."images/comment-delete.png' class='no-border valignfix' alt='' /></a>", $manage_links, 1);
				echo "<div class='float-right'>".$manage_links."\n</div>\n";
			}
			echo $data['comment_message'];
			echo "</div>\n</div>\n</div>\n";
		}
		echo $c_makepagenav;
		if ($c_info['admin_link'] !== false) { echo "<div class='comment-break float-right'>".$c_info['admin_link']."</div>\n"; }
	} else {
		echo $locale['c101']."\n";
	}
	closetable();
}

function render_news($subject, $news, $info) {
	global $locale;
	
	echo "<div id='news-".$info['news_id']."' class='news-feed'>\n";
	echo "<table cellpadding='0' cellspacing='0' width='100%'>\n<tr>\n";
	echo "<td class='capmain century'><div class='c-links float-right'>".itemoptions("N", $info['news_id']);
	echo "<a href='".BASEDIR."print.php?type=N&amp;item_id=".$info['news_id']."'><img src='".get_image("printer")."' alt='".$locale['global_075']."' style='vertical-align:middle;border:0;' /></a>";
	echo "</div>".$subject."</td>\n";
	echo "</tr>\n</table>\n";
	echo "<table width='100%' cellpadding='0' cellspacing='0' class='spacer break'>\n<tr>\n";
	echo "<td align='center' class='news-description'>\n";
	echo newsposter($info, ",").newscat($info, ",").newsopts($info, ",");
	echo "</td>\n";
	echo "</tr>\n<tr>\n";
	echo "<td class='news-content'>\n";
	echo $info['cat_image'].$news;
	if (!isset($_GET['readmore']) && $info['news_ext'] == "y") {
		echo "<div class='floatfix'>\n";
		echo "<a href='".BASEDIR."news.php?readmore=".$info['news_id']."' class='button float-right'><span class='rightarrow icon'></span>".$locale['global_072']."</a>\n";
		echo "</div>\n";
	}
	echo "</td>\n";
	echo "</tr>\n</table>\n</div>\n";
}

function render_article($subject, $article, $info) {
	echo "<div id='article-".$info['article_id']."' class='news-feed'>\n";
	echo "<table cellpadding='0' cellspacing='0' width='100%'>\n<tr>\n";
	echo "<td class='capmain century'>".$subject."</td>\n";
	echo "</tr>\n</table>\n";
	echo "<table width='100%' cellpadding='0' cellspacing='0' class='spacer break'>\n<tr>\n";
	echo "<td align='center' class='news-description'>\n";
	echo articleposter($info,",").articlecat($info,",").articleopts($info,",").itemoptions("A",$info['article_id']);
	echo "</td>\n";
	echo "</tr>\n<tr>\n";
	echo "<td class='news-content'>".($info['article_breaks'] == "y" ? nl2br($article) : $article)."</td>\n";
	echo "</tr>\n</table>\n</div>\n";
}

function opentable($title) {
	echo "<div class='news-feed'>\n";
	echo "<table cellpadding='0' cellspacing='0' width='100%'>\n<tr>\n";
	echo "<td class='capmain century'>".$title."</td>\n";
	echo "</tr>\n</table>\n";
	echo "<table cellpadding='0' cellspacing='0' width='100%' class='spacer break'>\n<tr>\n";
	echo "<td class='news-content'>\n";
}

function closetable() {
	echo "</td>\n";
	echo "</tr>\n</table>\n</div>\n";
}

function openside($title, $collapse = true, $state = "on") {
	global $panel_collapse; $panel_collapse = $collapse;
	
	echo "<div class='scapmain-body'>\n";
	echo "<table cellpadding='0' cellspacing='0' width='100%'>\n<tr>\n";
	echo "<td class='scapmain century'>".$title."</td>\n";
	if ($collapse == true) {
		$boxname = str_replace(" ", "", $title);
		echo "<td class='scapmain' align='right'>".panelbutton($state, $boxname)."</td>\n";
	}
	echo "</tr>\n</table>\n";
	echo "<table cellpadding='0' cellspacing='0' width='100%' class='spacer break'>\n<tr>\n";
	echo "<td class='side-body'>\n";	
	if ($collapse == true) { echo panelstate($state, $boxname); }
}

function closeside() {
	global $panel_collapse;

	if ($panel_collapse == true) { echo "</div>\n"; }	
	echo "</td>\n</tr>\n</table>\n</div>\n";
}
?>
